### Method

# Fwupd Client update_metadata

#### Declaration [src]

    gboolean
    fwupd_client_update_metadata (
      FwupdClient* self,
      const gchar* remote_id,
      const gchar* metadata_fn,
      const gchar* signature_fn,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Updates the metadata. This allows a session process to download the metadata and metadata signing file to be passed into the daemon to be checked and parsed.

The `remote_id` allows the firmware to be tagged so that the remote can be matched when the firmware is downloaded.

Available since: | 1.0.0

#### Parameters

`remote_id` | `const gchar*`
| The remote ID, e.g. `lvfs-testing`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`metadata_fn` | `const gchar*`
| The XML metadata filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`signature_fn` | `const gchar*`
| The GPG signature file.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.